org.apache.http.client.cache

## Class HttpCacheEntrySerializationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.http.client.cache.HttpCacheEntrySerializationException

All Implemented Interfaces:
  Serializable

    public class HttpCacheEntrySerializationException
    extends IOException

Thrown if serialization or deserialization of an `HttpCacheEntry` fails.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`HttpCacheEntrySerializationException(String message)`
`HttpCacheEntrySerializationException(String message, Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HttpCacheEntrySerializationException

    public HttpCacheEntrySerializationException(String message)

#### HttpCacheEntrySerializationException

    public HttpCacheEntrySerializationException(String message,
                                        Throwable cause)